#include "Red.h"


Red::Red(void)   //formira prazan red
{
	posl=prvi=0;
}
int Red::prazan()
{
	if(prvi!=0)								// ako pokazivac na prvi element nije 0 onda red ima sadrzaj
	{
		return 0;
	}
	else 
	{
		return 1;	
	}
}
void Red::dodaj(int c)
{
	if(prazan())							// ispitivanje da li je ovo prvi elemt koji se dodaje u red
	{
		prvi=posl= new Elem(c);				// na prvo mesto se dodje novi elemt, ujedno to je i poslednje mesto tako da omda inicijalizujemo vrednost
	}else
	{
		posl->sled=new Elem(c);				// na poslednje mesto se stavlja novi elemt, posto je red vec bio formiran
		posl=posl->sled;					 
	}
}
int Red::dohvati()
{
	int c;
	if(!prazan())
	{
		Elem *pom=prvi;							
		c=pom->c;							// izvlacimo vrednost sa prvog elementa
		prvi=prvi->sled;					// pomeramo pokazivac koji treba da pokazuje na prvi elemt
		delete pom;
		pom=0;
		return c;							// vracamo vrednost koju je do sada prvi elemt imao
	}
}
Red::~Red(void)								// brisanje reda
{
	while(prvi)
	{
		Elem* pom=prvi->sled;
		delete prvi;
		prvi=pom;
	}
}

